import 'package:json_annotation/json_annotation.dart';

part 'chat_request.g.dart';

@JsonSerializable()
class ChatRequest {
  String message;

  ChatRequest({required this.message});

  // Connect the generated _ChatRequestFromJson function to the `fromJson` factory.
  factory ChatRequest.fromJson(Map<String, dynamic> json) =>
      _$ChatRequestFromJson(json);

  // Connect the generated _ChatRequestToJson function to the `toJson` method.
  Map<String, dynamic> toJson() => _$ChatRequestToJson(this);
}
